summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2012-08-13 01:15:13 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-13 01:15:13 -0500
commit02a5502f8570edb5b71a568488eaf9e00603ecba (patch)
treea91c2a94ef779e0ec65a569f311516693f53c04d /graphics
parente8a74465f01a6afae0136ff4738be8baafd16e79 (diff)
downloadslackbuilds-02a5502f8570edb5b71a568488eaf9e00603ecba.tar.gz
slackbuilds-02a5502f8570edb5b71a568488eaf9e00603ecba.tar.xz
graphics/jUploadr: Added (photo uploader)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/jUploadr/README5
-rw-r--r--graphics/jUploadr/doinst.sh3
-rw-r--r--graphics/jUploadr/jUploadr.SlackBuild55
-rw-r--r--graphics/jUploadr/jUploadr.desktop8
-rw-r--r--graphics/jUploadr/jUploadr.info10
-rw-r--r--graphics/jUploadr/slack-desc19
6 files changed, 100 insertions, 0 deletions
diff --git a/graphics/jUploadr/README b/graphics/jUploadr/README
new file mode 100644
index 0000000000..b90d9df9ad
--- /dev/null
+++ b/graphics/jUploadr/README
@@ -0,0 +1,5 @@
+jUploadr is a cross platform, cross-site Photo uploader.
+Currently it runs on Windows, Linux, and OS X and supports
+both Flickr and Zooomr. It allows you to set all properties
+of a photo before you upload it. It also supports batch
+editing so you can make short work of uploading many files.
diff --git a/graphics/jUploadr/doinst.sh b/graphics/jUploadr/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/jUploadr/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/jUploadr/jUploadr.SlackBuild b/graphics/jUploadr/jUploadr.SlackBuild
new file mode 100644
index 0000000000..74b61e58dc
--- /dev/null
+++ b/graphics/jUploadr/jUploadr.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for jUploadr
+
+# Michales - clavisound - Michaloudes korgie@gmail.com <2012>
+
+PRGNAM=jUploadr
+VERSION=${VERSION:-1.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i386
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-linuxGTK-i386.tar.gz
+mv $PRGNAM-$VERSION-linuxGTK-i386 $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+ln -s /opt/$PRGNAM/jUploadr $PKG/usr/bin
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a jUploadr plugins lib $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cat juploadr_icon.png > $PKG/usr/share/pixmaps/juploadr.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/jUploadr/jUploadr.desktop b/graphics/jUploadr/jUploadr.desktop
new file mode 100644
index 0000000000..25873f8f69
--- /dev/null
+++ b/graphics/jUploadr/jUploadr.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Exec=jUploadr
+Icon=juploadr
+Name=Java (Flickr) Uploader
+GenericName=Java (Flickr) Uploader
+StartupNotify=true
+Type=Application
+Categories=Network;Graphics;
diff --git a/graphics/jUploadr/jUploadr.info b/graphics/jUploadr/jUploadr.info
new file mode 100644
index 0000000000..fcd8de3b57
--- /dev/null
+++ b/graphics/jUploadr/jUploadr.info
@@ -0,0 +1,10 @@
+PRGNAM="jUploadr"
+VERSION="1.1.2"
+HOMEPAGE="http://http://juploadr.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/juploadr/jUploadr-1.1.2-linuxGTK-i386.tar.gz"
+MD5SUM="6be4f8ab6937441e58648f14503d6607"
+DOWNLOAD_x86_64="UNTESTED"
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/jUploadr/slack-desc b/graphics/jUploadr/slack-desc
new file mode 100644
index 0000000000..59a5c01651
--- /dev/null
+++ b/graphics/jUploadr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jUploadr: jUploadr (photo uploader)
+jUploadr:
+jUploadr: jUploadr is a cross platform, cross-site Photo uploader. Currently it
+jUploadr: runs on Windows Linux and OS X and supports both Flickr and Zooomr.
+jUploadr: It allows you to set all properties of a photo before you upload it.
+jUploadr: It also supports batch editing, so you can make short work of
+jUploadr: uploading a bunch of files.
+jUploadr:
+jUploadr:
+jUploadr:
+jUploadr: